<div class="photo">
  <img *ngIf="service" src="{{ service.type.split(' ')[0] | typeimg }}" alt="service img" />
</div>

<div class="description">
  <div class="title">
    <h2 class="summary">{{ service?.summary }}</h2>
    <div class="rating">
      <div *ngIf="service" class="rating-result">
        <span [class.active]="service.rating_quantity > 0"></span>
        <span [class.active]="service.rating_quantity > 1"></span>
        <span [class.active]="service.rating_quantity > 2"></span>
        <span [class.active]="service.rating_quantity > 3"></span>
        <span [class.active]="service.rating_quantity > 4"></span>
      </div>
    </div>
  </div>
  <div class="address">
    <span class="material-icons-outlined location-icon"> location_on </span>
    <span class="address-text">{{
      service.address.split(" ").slice(0, 3).join(" ")
    }}</span>
  </div>
  <div class="description-text">{{ service?.description }}</div>
</div>

<button class="favorite" (click)="favoriteToggle()" [class.active]="favorite">
  <span class="material-icons-outlined"> favorite_border </span>
</button>
